<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:if condition="{gallery.count.files} > 1">
    <f:then>
        <div class="c-gallery_slider">
            <div class="c-gallery-slider__list   o-slider   js-gallery-slider js-lightbox-gallery"
                 data-slides-to-show="1">
                <f:for each="{gallery.rows}" as="row">
                    <f:for each="{row.columns}" as="column">

                        <f:if condition="{column.media}">
                            <!-- @TODO all items display: none first-of... display block for height calculation -->
                            <div class="c-gallery-slider__item   o-slider__item">
                                <div class="o-slider__content">
                                    <div class="o-media o-media o-media--stacked">
                                        <f:if condition="{column.media.type} == 2">
                                            <f:render section="imageType" arguments="{_all}"/>
                                        </f:if>
                                        <f:if condition="{column.media.type} == 4">
                                            <f:render section="videoType" arguments="{_all}"/>
                                        </f:if>
                                    </div>
                                </div>
                            </div>
                        </f:if>

                    </f:for>
                </f:for>
            </div>
        </div>
    </f:then>
    <f:else>
        <f:for each="{gallery.rows}" as="row">
            <f:for each="{row.columns}" as="column">
                <f:if condition="{column.media}">
                    <f:if condition="{column.media.type} == 2">
                        <f:render section="imageType" arguments="{_all}"/>
                    </f:if>
                    <f:if condition="{column.media.type} == 4">
                        <f:render section="videoType" arguments="{_all}"/>
                    </f:if>
                    <f:if condition="{column.media.type} == 5">
                        <f:render section="pdfType" arguments="{_all}"/>
                    </f:if>
                </f:if>
            </f:for>
        </f:for>
    </f:else>
</f:if>
<f:section name="imageType">
    <f:if condition="{column.media.link}">
        <f:then>
            <figure class="o-media__img o-media__img--fill">
                <f:link.typolink parameter="{column.media.link}" title="{column.media.alternative}" class="o-media__link o-media__link--overlay">
                    <div class="o-media__imageholder">
                        <f:media file="{column.media}" alt="{column.media.alternative}"
                                 title="{column.media.title}" style="height: auto;"/>
                        <f:render partial="Content/Copyright" arguments="{media: column.media}"/>
                    </div>
                </f:link.typolink>
                <figcaption class="o-media__caption">
                    {column.media.properties.caption}
                </figcaption>
            </figure>
        </f:then>
        <f:else>
            <f:if condition="{data.image_zoom}">
                <f:then>
                    <figure class="o-media__img o-media__img--fill   js-lightbox-gallery">
                        <a href="{f:uri.image(image:column.media) -> f:format.htmlspecialchars()}" class="o-media__link o-media__link--overlay"
                           title="{column.media.alternative}">
                            <div class="o-media__imageholder">
                                <f:media file="{column.media}" alt="{column.media.alternative}"
                                         title="{column.media.title}" style="height: auto;"/>
                                <f:render partial="Content/Copyright" arguments="{media: column.media}"/>
                                <span class="o-media__zoom"></span>
                            </div>
                        </a>

                        <figcaption class="o-media__caption">
                            {column.media.properties.caption}
                        </figcaption>

                    </figure>
                </f:then>
                <f:else>
                    <figure class="o-media__img o-media__img--fill">
                        <f:render section="media" arguments="{_all}"/>

                        <figcaption class="o-media__caption">
                            {column.media.properties.caption}
                        </figcaption>

                    </figure>
                </f:else>
            </f:if>
        </f:else>
    </f:if>
</f:section>

<f:section name="videoType">
    <div class="o-media--video h-embed">
        <f:render section="media" arguments="{_all}"/>
    </div>
    <f:if condition="{column.media.title}">
        <div class="o-media__caption">
            {column.media.properties.caption}
        </div>
    </f:if>
</f:section>
<f:section name="pdfType">
    <div class="c-download-list">
        <f:if condition="{column.media.title}">
            <f:then>
                <a href="{column.media.originalFile.publicUrl}"
                   class="c-download-list__link icon--datei-leer icon--datei-{column.media.originalFile.extension}">
                    <f:format.raw>
                    {column.media.title}
                    <f:if condition="{file.properties.size}">
                        <br/>
                        <f:format.bytes value="{file.properties.size}"/>
                    </f:if>
                    </f:format.raw>
                </a>
            </f:then>
            <f:else>
                <a href="{column.media.originalFile.publicUrl}"
                   class="c-download-list__link icon--datei icon--datei-{column.media.originalFile.extension}">
                    <v:format.trim>{column.media.name}
                        <f:if condition="{column.media.originalFile.properties.size}">
                            <br/>
                            <f:format.bytes value="{column.media.originalFile.properties.size}"/>
                        </f:if>
                    </v:format.trim>
                </a>
            </f:else>
        </f:if>
    </div>
</f:section>

<f:section name="media">
    <div class="o-media__imageholder">
        <f:media file="{column.media}" alt="{column.media.alternative}" title="{column.media.title}" additionalConfig="{settings.media.additionalConfig}"/>
        <f:render partial="Content/Copyright" arguments="{media: column.media}"/>
    </div>
</f:section>

</html>
